
QGIS Application - Feature request #5246

When loading a project avoid loading of non active WFS layers

2012-03-28 12:37 AM - Giovanni Manghi

Status: Open

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 14980

Description

As it is now in both master and 1.7.4 if a project is saved with unchecked WFS layers, those are loaded anyway when the project is

loaded. This may cause a long delay in project loading. I know that a user can hit the "abort" button, but maybe it would be better not to

load at all what wasn't saved as active.

Related issues:

Related to QGIS Application - Bug report # 8871: WFS doesn't use bounding box! Closed 2013-10-16

History

#1 - 2012-04-15 10:06 AM - Giovanni Manghi

- Target version changed from Version 1.8.0 to Version 2.0.0

#2 - 2012-10-06 02:19 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2014-06-20 07:10 AM - Giovanni Manghi

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Target version changed from Future Release - Nice to have to Version 2.4

- Tracker changed from Feature request to Bug report

This is more a bug than a feature.

#4 - 2014-06-21 01:38 AM - Jürgen Fischer

- Category changed from Project Loading/Saving to Web Services clients/WFS

- Tracker changed from Bug report to Feature request

- Target version changed from Version 2.4 to Future Release - Lower Priority

Giovanni Manghi wrote:

This is more a bug than a feature.

The wfs provider loads the whole dataset or has a half-baked caching mode. That should be improved, but it isn't a bug.  The checkbox just means that the

layer should not be displayed - and that working as for any other layer.

#5 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
